Ihar,

After looking at version of python-neutron-fwaas package, I found it is
still the old one. I upgraded this package to mitaka version, the problem
went away.

Thanks for your help.

Richard

On Sun, Oct 16, 2016 at 12:00 PM, Richard Woo <richardwoo2...@gmail.com>
wrote:

> Ihar,
>
> Thanks for your reply, seems like the fwaas is install when installed
> neutron server:
>
> root@controller-01:~# dpkg -l | grep neutron
> ii  neutron-common                       2:8.2.0-0ubuntu1~cloud0
>     all          Neutron is a virtual network service for Openstack - common
> ii  neutron-plugin-ml2                   2:8.2.0-0ubuntu1~cloud0
>     all          Neutron is a virtual network service for Openstack - ML2
> plugin
> ii  neutron-server                       2:8.2.0-0ubuntu1~cloud0
>     all          Neutron is a virtual network service for Openstack - server
> ii  python-neutron                       2:8.2.0-0ubuntu1~cloud0
>     all          Neutron is a virtual network service for Openstack -
> Python library
> ii  python-neutron-fwaas                 1:7.1.1-0ubuntu1~cloud0
>     all          Firewall-as-a-Service driver for OpenStack Neutron
> ii  python-neutron-lib                   0.0.2-2~cloud0
>      all          Neutron shared routines and utilities - Python 2.7
> ii  python-neutronclient                 1:3.1.0-0ubuntu1~cloud0
>     all          client API library for Neutron
> root@controller-01:~# apt-get remove python-neutron-fwaas
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages were automatically installed and are no longer
> required:
>   ipset libipset3 libmnl0 python-neutron python-neutron-lib
> python-openvswitch
> Use 'apt-get autoremove' to remove them.
> The following packages will be REMOVED:
>   neutron-common neutron-plugin-ml2 neutron-server python-neutron-fwaas
> 0 upgraded, 0 newly installed, 4 to remove and 30 not upgraded.
> After this operation, 1,149 kB disk space will be freed.
> Do you want to continue? [Y/n] n
> Abort.
> root@controller-01:~#
>
> I checked service_plugins value in 'neutron.conf', 'router' is enabled but
> not fwaas:
>
> # The core plugin Neutron will use (string value)
> core_plugin = ml2
>
> # The service plugins Neutron will use (list value)
> service_plugins = router
>
>
> Richard
>
>
> On Sun, Oct 16, 2016 at 3:36 AM, Ihar Hrachyshka <ihrac...@redhat.com>
> wrote:
>
>> Richard Woo <richardwoo2...@gmail.com> wrote:
>>
>> Hello, folks,
>>>
>>> I have a small cluster running openstack liberty, today I am starting to
>>> upgrading to Mitaka.
>>>
>>> I am having a problem to launch l3 agent on network node.
>>>
>>> I got the following error:
>>> Guru mediation now registers SIGUSR1 and SIGUSR2 by default for backward
>>> compatibility. SIGUSR1 will no longer be registered in a future release, so
>>> please use SIGUSR2 to generate reports.
>>> Option "verbose" from group "DEFAULT" is deprecated for removal.  Its
>>> value may be silently ignored in the future.
>>> 2016-10-15 22:13:20.800 24466 INFO neutron.common.config [-] Logging
>>> enabled!
>>> 2016-10-15 22:13:20.801 24466 INFO neutron.common.config [-]
>>> /usr/bin/neutron-l3-agent version 8.2.0
>>> 2016-10-15 22:13:20.801 24466 DEBUG neutron.common.config [-] command
>>> line: /usr/bin/neutron-l3-agent --config-file=/etc/neutron/neutron.conf
>>> --config-file=/etc/neutron/l3_agent.ini 
>>> --log-file=/var/log/neutron/l3-agent.log
>>> setup_logging /usr/lib/python2.7/dist-packag
>>> es/neutron/common/config.py:269
>>> 2016-10-15 22:13:20.923 24466 DEBUG oslo_messaging._drivers.amqpdriver
>>> [req-8c392909-20ed-45f4-b997-9302008d0075 - - - - -] CALL msg_id:
>>> 0b6eb35b95ec4edca605b2d3c6a76d37 exchange 'neutron' topic 'q-l3-plugin'
>>> _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amq
>>> pdriver.py:454
>>> /usr/lib/python2.7/dist-packages/pkg_resources/__init__.py:187:
>>> RuntimeWarning: You have iterated over the result of
>>> pkg_resources.parse_version. This is a legacy behavior which is
>>> inconsistent with the new version class introduced in setuptools 8.0. In
>>> most cases, conversion to a tuple is unnecessary. For comparison of
>>> versions, sort the Version instances directly. If you have another use case
>>> requiring the tuple, please file a bug with the setuptools project
>>> describing that need.
>>>   stacklevel=1,
>>> 2016-10-15 22:13:20.951 24466 DEBUG oslo_messaging._drivers.amqpdriver
>>> [-] received reply msg_id: 0b6eb35b95ec4edca605b2d3c6a76d37 __call__
>>> /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amq
>>> pdriver.py:302
>>> 2016-10-15 22:13:20.953 24466 DEBUG neutron.callbacks.manager
>>> [req-8c392909-20ed-45f4-b997-9302008d0075 - - - - -] Subscribe:
>>> <function after_router_added at 0x7fa2b1a82050> router after_create
>>> subscribe /usr/lib/python2.7/dist-packages/neutron/callbacks/manager.p
>>> y:41
>>> 2016-10-15 22:13:20.954 24466 DEBUG neutron.callbacks.manager
>>> [req-8c392909-20ed-45f4-b997-9302008d0075 - - - - -] Subscribe:
>>> <function before_router_removed at 0x7fa2b1a86230> router before_delete
>>> subscribe /usr/lib/python2.7/dist-packages/neutron/callbacks/manager.p
>>> y:41
>>> 2016-10-15 22:13:20.955 24466 DEBUG neutron_fwaas.services.firewal
>>> l.agents.l3reference.firewall_l3_agent 
>>> [req-8c392909-20ed-45f4-b997-9302008d0075
>>> - - - - -] Initializing firewall agent __init__
>>> /usr/lib/python2.7/dist-packages/neutron_fwaas/services/fire
>>> wall/agents/l3reference/firewall_l3_agent.py:55
>>> 2016-10-15 22:13:20.956 24466 CRITICAL neutron
>>> [req-8c392909-20ed-45f4-b997-9302008d0075 - - - - -] AttributeError:
>>> 'module' object has no attribute 'FIREWALL_PLUGIN'
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron Traceback (most recent call
>>> last):
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/bin/neutron-l3-agent", line 10, in <module>
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron     sys.exit(main())
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron/cmd/eventlet/agents/l3.py",
>>> line 17, in main
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron     l3_agent.main()
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron/agent/l3_agent.py", line 57,
>>> in main
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron     manager=manager)
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron/service.py", line 331, in
>>> create
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron
>>>  periodic_fuzzy_delay=periodic_fuzzy_delay)
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron/service.py", line 264, in
>>> __init__
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron     self.manager =
>>> manager_class(host=host, *args, **kwargs)
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron/agent/l3/agent.py", line 635,
>>> in __init__
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron
>>>  super(L3NATAgentWithStateReport, self).__init__(host=host, conf=conf)
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron/agent/l3/agent.py", line 243,
>>> in __init__
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron     super(L3NATAgent,
>>> self).__init__(conf=self.conf)
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron   File
>>> "/usr/lib/python2.7/dist-packages/neutron_fwaas/services/fir
>>> ewall/agents/l3reference/firewall_l3_agent.py", line 77, in __init__
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron     self.fwplugin_rpc =
>>> FWaaSL3PluginApi(topics.FIREWALL_PLUGIN,
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron AttributeError: 'module'
>>> object has no attribute 'FIREWALL_PLUGIN'
>>> 2016-10-15 22:13:20.956 24466 ERROR neutron
>>>
>>> On our setup, we did not use any FWaaS service, please give us hints
>>> what may cause this problem.
>>>
>>
>> First, if you don’t use FWaaS, then why have you installed neutron-fwaas
>> package? Please remove it. Also, make sure that your l3_agent.ini does not
>> contain any fwaas remnants (I suspect you may have [fwaas] enabled = True
>> there). Finally, check that neutron-server does not attempt to load fwaas
>> service plugin (you can check it in log messages from oslo.config that are
>> dumped at the service startup, specifically, check service_plugins value).
>>
>> Ihar
>>
>> ____________________________________________________________
>> ______________
>> OpenStack Development Mailing List (not for usage questions)
>> Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscrib
>> e
>> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
>>
>
>
_______________________________________________
OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators

Reply via email to